package com.yihu.jw.entity.hospital.mapping;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/6/10.
 */
@Entity
@Table(name = "base_doctor_mapping")
public class DoctorMappingDO extends UuidIdentityEntity {

    private String doctor;//医生code',
    private String doctorName;//医生名称',
    private String idcard;//身份证号',
    private String orgCode;//机构code',
    private String orgName;//机构名称',
    private String mappingCode;//映射code',
    private String mappingName;//映射名称',
    private String mappingDept;//映射部门',
    private String mappingDeptName;//映射部门名称',
    private String mappingJob;//映射职称',
    private String mappingJobName;//映射职称名称',
    private Date createTime;//创建时间',

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getMappingCode() {
        return mappingCode;
    }

    public void setMappingCode(String mappingCode) {
        this.mappingCode = mappingCode;
    }

    public String getMappingName() {
        return mappingName;
    }

    public void setMappingName(String mappingName) {
        this.mappingName = mappingName;
    }

    public String getMappingDept() {
        return mappingDept;
    }

    public void setMappingDept(String mappingDept) {
        this.mappingDept = mappingDept;
    }

    public String getMappingDeptName() {
        return mappingDeptName;
    }

    public void setMappingDeptName(String mappingDeptName) {
        this.mappingDeptName = mappingDeptName;
    }

    public String getMappingJob() {
        return mappingJob;
    }

    public void setMappingJob(String mappingJob) {
        this.mappingJob = mappingJob;
    }

    public String getMappingJobName() {
        return mappingJobName;
    }

    public void setMappingJobName(String mappingJobName) {
        this.mappingJobName = mappingJobName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
